<?php

if( !class_exists('PVTFW_SETTINGS' )):

    class PVTFW_SETTINGS {

        protected static $_instance = null;

        function __construct(){

            $this->register();

        }


        public static function instance() {
            if ( is_null( self::$_instance ) ) {
                self::$_instance = new self();
            }

            return self::$_instance;
        }


        /**
        * ====================================================
        * Settings menu item
        * ====================================================
        **/
        function menu() {
            $parent_slug = 'woocommerce'; // "Pages"
            $page_title = __( 'Product Variation Table', 'product-variant-table-for-woocommerce' );
            $menu_title = __( 'Variation Table', 'product-variant-table-for-woocommerce' );
            $capability = 'manage_options';
            $menu_slug  = 'pvtfw_variant_table';
            $page = array( $this, 'setting_page_callback' );
            
            add_submenu_page( 
                $parent_slug,
                $page_title,
                $menu_title,
                $capability,
                $menu_slug,
                $page
            );
        }


        /**
        *====================================================
        * Plugin Setting Page
        *====================================================
        **/
        function setting_page_callback(){ 
            global $pvtfw_form;

            if ( ! current_user_can( 'manage_options' ) ) {
                return;
            }
            
        ?>
        <h1><?php echo __('Product Variation Table Settings', 'product-variant-table-for-woocommerce'); ?></h1>
            <?php 
                settings_errors(); 
            ?>

            <div class="wrap pvtfw-variant-table-setting-wrap">
                <?php 
                    $curTab = PVTFW_COMMON::pvtfw_get_options()->curTab; 
                    $active = "";
                ?>
                <!-- Here are our tabs -->
                <nav class="nav-tab-wrapper">
                    <?php 
                        $tab = "<a href='#settings' data-target='settings' class='nav-tab ".($curTab==='settings' ? 'nav-tab-active' : ($curTab==='' ? 'nav-tab-active' : null))."'> ".__('Settings', 'product-variant-table-for-woocommerce')."</a>";

                        $tab .= "<a href='#layout' data-target='layout' class='nav-tab ".($curTab==='layout' ? 'nav-tab-active' : null)."'> ".__('Layout', 'product-variant-table-for-woocommerce')."</a>";
                        echo apply_filters('pvtfw_admin_setting_tab', $tab, $curTab);
                    ?>
                </nav>

                <div class="tab-content">
                <form method="post" action="options.php">
                    <?php settings_fields( 'pvtfw_variant_table_settings' ); ?>
                    <?php do_settings_sections( 'pvtfw_variant_table_settings' ); ?>
                    <?php //switch($tab) :
                    // case 'layout';
                            // Form of Layout
                            // $pvtfw_form->layout();
                        //break;
                        //default:
                            // if(pvtfw_table()->isPVTFWPROActive() == true):
                            // Form of Setting
                            // $pvtfw_form->setting();
                            // endif;
                            do_action('pvtfw_admin_section');
                    // break;
                        //endswitch; 
                    ?>
                    <?php submit_button(); ?>
                </form>                                    
                </div>
            </div>
        <?php }


        /**
        * ====================================================
        * Register function
        * ====================================================
        **/
        public function register(){
            add_action( 'admin_menu', array( $this, 'menu' ), 99 );
        }

    }

    $pvtfw_settings = PVTFW_SETTINGS::instance();

endif;