<?php

require_once(dirname(plugin_dir_path(__FILE__)) . '/class_pvtfw_common.php');

global $pvtfw_common;

$default_columns = $pvtfw_common->get_default_columns();
$columns_labels = $pvtfw_common->get_columns_labels();
$columns = (array) get_option('pvtfw_variant_table_columns', $default_columns);

$attr_lbl = [];

// Get the attribute label
foreach ($product->get_variation_attributes() as $taxonomy => $term_names ) {
    $attr_lbl[] = wc_attribute_label($taxonomy);
}

// Removing off values from with column

foreach($columns as $key=>$value)
{
    if(is_null($value) || $value == 'off')
    unset($columns[$key]);
}

// New array initialization depending on column repositioning
$latest = array();

// Depending on column repositioning making output array
foreach ($columns as $key => $value){
    if(!is_null($value) || $value != 'off'){
        $latest[$key] = $columns_labels[$key];
    }
}


foreach ($latest as $key => $label) {
    if($label == __("Action", "product-variant-table-for-woocommerce")){
        echo "<th class='{$key}'>&nbsp;</th>";
    }
    elseif($label == __("Attributes", "product-variant-table-for-woocommerce")){
        foreach($attr_lbl as $key => $lbl){
            echo "<th class='{$lbl} sortable asc'>{$lbl}<span class='arrow'></span></th>";
        }
    }
    else{
        echo "<th class='{$key} sortable asc'>{$label}<span class='arrow'></span></th>";
    }
}

/**
 * ================================
 * Subtotal code here
 * ================================
 */
$showSubTotal = get_option('pvtfw_variant_table_sub_total', '');
if($showSubTotal != ''):
    echo apply_filters('pvtfw_subtotal_title', "<th>".__("SubTotal", "product-variant-table-for-woocommerce")."</th>");
endif;